Bug 590287 - [PATCH] Enable SMP support in gkrellm-freq
[PATCH] Enable SMP support in gkrellm-freq
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
http://members.dslextreme.com/users/b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 12:17 EDT by Artem S. Tashkinov
Modified: 2013-01-10 00:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 11:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete sources with a patch (9.11 KB, application/x-gzip)
2010-05-09 03:32 EDT, Artem S. Tashkinov
no flags Details
A patch to enable proper multicore reporting in gkrellm-gkfreq (1.48 KB, text/plain)
2010-08-07 06:18 EDT, Artem S. Tashkinov
no flags Details

  None (edit)
Description Artem S. Tashkinov 2010-05-08 12:17:48 EDT
gkrellm-freq currently works incorrectly if the system has more than one CPU or CPU core.

The attached patch improves gkrellm-freq by calculating average CPU frequency across all CPUs or CPU cores.
Comment 1 Artem S. Tashkinov 2010-05-09 03:32:31 EDT
Created attachment 412602 [details]
Complete sources with a patch
Comment 2 Artem S. Tashkinov 2010-07-07 06:50:04 EDT
CC: ing  Hans de Goede, because I see no activity here for two straight months.
Comment 3 Artem S. Tashkinov 2010-08-01 16:40:07 EDT
Reassigning the component, since gkrellm developers do not care.
Comment 4 Artem S. Tashkinov 2010-08-07 06:18:10 EDT
Created attachment 437317 [details]
A patch to enable proper multicore reporting in gkrellm-gkfreq
Comment 5 Ville Skyttä 2010-08-08 12:11:07 EDT
Not sure why I was Cc'd here, removing.  FWIW gkrellm-freq 2.0 is available which I suppose has support for up to 8 CPUs, see bug 621503 and http://sourceforge.net/projects/gkrellm-gkfreq/files/2.0/gkrellm-gkfreq-2.0.txt/view
Comment 6 Artem S. Tashkinov 2010-08-08 12:51:46 EDT
(In reply to comment #5)
> Not sure why I was Cc'd here, removing.  FWIW gkrellm-freq 2.0 is available
> which I suppose has support for up to 8 CPUs, see bug 621503 and
> http://sourceforge.net/projects/gkrellm-gkfreq/files/2.0/gkrellm-gkfreq-2.0.txt/view    

What an atrocity, an applet for _every_ CPU core, both virtual and real.

What if I have a system with two six cores Xeon CPUs with HT enabled - that will yield 24 virtual cores, so an end user should then have 24 indicators. No, thank you.
Comment 7 Hans de Goede 2010-08-13 09:43:12 EDT
Artem,

First of all thanks for the patches and sorry for the lack of response. As yuo may have guessed gkrellm-freq is pretty much unsupported in Fedora atm. Matthias has not been really active lately. He is still around and sometimes does some stuff, so hence his packages have not been orphaned but he is not really active either.

So as you are interested in gkrellm-freq, maybe you want to maintain it ? If you are already a Fedora packager, picking up another package is easy. If not I can help you become a Fedora packager if you want.

About the patch, as said a newer upstream release already has support for this, so it seems to make more sense to upgrade to this new upstream release. I understand you don't like the upstream implementation of this support, but I think this is best discussed with the upstream author. Have you send your patch upstream? I think it would be best if upstream would add an option to make multiple cpu support use either one applet per core, or use your methodology so that the user can easily configure which one he wants. But that is something to discuss with upstream.

Regards,

Hans
Comment 8 Bug Zapper 2011-06-02 10:20:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Artem S. Tashkinov 2011-06-02 11:52:27 EDT
My approach and upstream approach are both very inconvenient - mine is not very informative, theirs requires too much vertical space.

CPU speed IMO should be represented graphically, e.g. using bars.

1-2 pixels wide green bar 3-4 pixels high may represent the lowest frequency, 7-9 pixels high red bar could mean the maximum frequency. Yellow in between.

Note You need to log in before you can comment on or make changes to this bug.